#login-container {
    margin-top: 5vh;
    background-color: white;
    padding: 20px;
    width: 330px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    text-align: center;
}

#login-container .logo {
    display: block;
    xwidth: 15vw;
    xmin-width: 150px;
    height: 70px;
    margin: 0 auto;
}

#login-container h2 {
    padding: 0;
    margin: 40px auto;
}

.login-group {
    margin-bottom: 15px;
    text-align: left;
    position: relative;
}
.login-group label {
    font-size: 14px;
    color: #333;
}
.input-container {
    display: flex;
    align-items: center;
    position: relative;
}
.login-group input {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding-right: 40px; /* Space for icon */
    background-color: white;
}
.btn {
    width: 100%;
    padding: 10px;
    background: #1E54A0;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 20px;
}
.btn:hover {
    background: #2980b9;
}


.toggle-btn {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  margin-top: 2px;
  width: 22px;
  height: 22px;
  cursor: pointer;
  background-image: url('../imgs/password-eye.png');
  background-repeat: no-repeat;
  background-position: left center;
  background-size: cover;
  opacity: .15;
}
.toggle-btn.eyeswap {
  background-position: right center;
}

#logout-btn {
  position: fixed;
  right: 20px;
  top: 60px;
  width: 80px;
  padding: 4px;
}

@media only screen and (min-width: 768px) and (max-width: 1024px) and (orientation: portrait) {
  #login-container, #status { transform: scale(2.0); transform-origin: top center; }
  #status { transform-origin: top right; }
}
